package com.logicbig.example;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.Map;

public class MainProjectSerialization {
    public static void main(String[] args) throws JsonProcessingException {
        Project p = new Project();
        p.setName("Scheduler");
        p.setOtherDetails(Map.of("start-month", "Jan 2019", "supervisor",
                "Jack", "budget", "3000"));

        System.out.println("-- before serialization --");
        System.out.println(p);

        ObjectMapper om = new ObjectMapper();
        String jsonString = om.writeValueAsString(p);
        System.out.println("-- after serialization --");
        System.out.println(jsonString);
    }
}