package com.logicbig.example;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import java.util.Map;

@JsonPropertyOrder({"otherDetails", "name"})
public class Project {
    private String name;
    @JsonPropertyOrder(alphabetic = true)
    private Map<String, String> otherDetails;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Map<String, String> getOtherDetails() {
        return otherDetails;
    }

    public void setOtherDetails(Map<String, String> otherDetails) {
        this.otherDetails = otherDetails;
    }

    @Override
    public String toString() {
        return "Project{" +
                "name='" + name + '\'' +
                ", otherDetails=" + otherDetails +
                '}';
    }
}